    # File lib/fog/aws/parsers/elasticache/engine_defaults_parser.rb, line 34
              def end_element(name)
                case name
                when 'CacheParameterGroupFamily'
                  @engine_defaults[name] = value
                when 'CacheNodeTypeSpecificParameter', 'Parameter'
                  if not @parameter.empty?
                    @engine_defaults["#{name}s"] << @parameter
                  end
                when 'AllowedValues', 'DataType', 'Description', 'IsModifiable',
                  'MinimumEngineVersion', 'ParameterName', 'Source'
                  @parameter[name] = value
                when 'CacheNodeType', 'Value'
                  @node_specific_value[name] = value
                when 'CacheNodeTypeSpecificValue'
                  if not @node_specific_value.empty?
                    @parameter["#{name}s"] << @node_specific_value
                  end
                else
                  super
                end
              end